Bug 1409783 - [abrt] easytag: Read_Directory(): easytag killed by SIGSEGV
Summary: [abrt] easytag: Read_Directory(): easytag killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: easytag
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David King
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:668c0f2925a7a3fb714c025bdcf...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-03 11:20 UTC by Peter
Modified: 2017-12-12 10:17 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:17:38 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (56.05 KB, text/plain)
2017-01-03 11:20 UTC, Peter
no flags Details
File: cgroup (242 bytes, text/plain)
2017-01-03 11:20 UTC, Peter
no flags Details
File: core_backtrace (8.35 KB, text/plain)
2017-01-03 11:20 UTC, Peter
no flags Details
File: dso_list (10.59 KB, text/plain)
2017-01-03 11:20 UTC, Peter
no flags Details
File: environ (1.09 KB, text/plain)
2017-01-03 11:20 UTC, Peter
no flags Details
File: exploitable (100 bytes, text/plain)
2017-01-03 11:20 UTC, Peter
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-03 11:20 UTC, Peter
no flags Details
File: maps (52.29 KB, text/plain)
2017-01-03 11:20 UTC, Peter
no flags Details
File: mountinfo (3.84 KB, text/plain)
2017-01-03 11:20 UTC, Peter
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-03 11:21 UTC, Peter
no flags Details
File: open_fds (928 bytes, text/plain)
2017-01-03 11:21 UTC, Peter
no flags Details
File: proc_pid_status (1.10 KB, text/plain)
2017-01-03 11:21 UTC, Peter
no flags Details
File: var_log_messages (1.02 KB, text/plain)
2017-01-03 11:21 UTC, Peter
no flags Details

Description Peter 2017-01-03 11:20:40 UTC
Version-Release number of selected component:
easytag-2.4.3-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        easytag
crash_function: Read_Directory
executable:     /usr/bin/easytag
global_pid:     4882
kernel:         4.7.7-200.fc24.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 Read_Directory at src/easytag.c:932
 #1 Browser_Tree_Node_Selected at src/browser.c:926
 #2 _g_closure_invoke_va at gclosure.c:867
 #5 _gtk_tree_selection_internal_select_node at gtktreeselection.c:1593
 #6 gtk_tree_selection_select_path at gtktreeselection.c:895
 #7 et_browser_select_dir at src/browser.c:1172
 #8 et_application_window_select_dir at src/application_window.c:1958
 #9 et_application_open at src/application.c:451
 #10 ffi_call_unix64 at ../src/x86/unix64.S:76
 #11 ffi_call at ../src/x86/ffi64.c:525

Comment 1 Peter 2017-01-03 11:20:46 UTC
Created attachment 1236839 [details]
File: backtrace

Comment 2 Peter 2017-01-03 11:20:47 UTC
Created attachment 1236840 [details]
File: cgroup

Comment 3 Peter 2017-01-03 11:20:49 UTC
Created attachment 1236841 [details]
File: core_backtrace

Comment 4 Peter 2017-01-03 11:20:51 UTC
Created attachment 1236842 [details]
File: dso_list

Comment 5 Peter 2017-01-03 11:20:52 UTC
Created attachment 1236843 [details]
File: environ

Comment 6 Peter 2017-01-03 11:20:53 UTC
Created attachment 1236844 [details]
File: exploitable

Comment 7 Peter 2017-01-03 11:20:55 UTC
Created attachment 1236845 [details]
File: limits

Comment 8 Peter 2017-01-03 11:20:57 UTC
Created attachment 1236846 [details]
File: maps

Comment 9 Peter 2017-01-03 11:20:59 UTC
Created attachment 1236847 [details]
File: mountinfo

Comment 10 Peter 2017-01-03 11:21:00 UTC
Created attachment 1236848 [details]
File: namespaces

Comment 11 Peter 2017-01-03 11:21:02 UTC
Created attachment 1236849 [details]
File: open_fds

Comment 12 Peter 2017-01-03 11:21:03 UTC
Created attachment 1236850 [details]
File: proc_pid_status

Comment 13 Peter 2017-01-03 11:21:04 UTC
Created attachment 1236851 [details]
File: var_log_messages

Comment 14 David King 2017-01-03 11:29:05 UTC
Please provide exact steps to reproduce the problem, and a description of what happens at each step.

Comment 15 Peter 2017-01-04 10:28:04 UTC
It happensI have a slower computer with some music files.
This error occurs sometimes when I close easyTag during the startup procedure while it is parsing the existing files.

Comment 16 David King 2017-01-06 08:29:02 UTC
Thanks for the information. I fixed one aspect of the crash, involving the status bar:

https://git.gnome.org/browse/easytag/commit/?id=f7354423c7a2d668465b9a5451ff3c5d5e0d83a6

However, a complete fix will take a while, as it involves blocking the quit action from being invoked during long-running actions, which is currently not done.

Comment 17 Peter 2017-01-06 08:41:26 UTC
Thank you very much.
Is blocking the quit action the right approach from a user perspective?
When I accidentally open this application I would have to wait quite a bit, till closing it would be possible.

Comment 18 David King 2017-01-06 09:01:48 UTC
Different handling would be needed for all of the long-running actions, such as network access for CDDB queries, reading files on startup and saving tags to files as requested by the user. Until that is done (and it would be an invasive change, probably best done as part of moving those long-running actions to be handled asynchronously), the best approach is to block the quit action.

Comment 19 Fedora End Of Life 2017-11-16 14:17:19 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 20 Fedora End Of Life 2017-12-12 10:17:38 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.